summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2018-02-09 11:04:53 +0100
committerAlexis Ballier <aballier@gentoo.org>2018-02-09 12:39:11 +0100
commitcd1a5cb6ab0c1684078c59805e8a6713c56841d2 (patch)
tree80ed2898dc708b52a7f372d95f094003b96f92c8 /media-plugins
parentros-meta/ros_comm: Bump to 1.13.6. (diff)
downloadgentoo-cd1a5cb6ab0c1684078c59805e8a6713c56841d2.tar.gz
gentoo-cd1a5cb6ab0c1684078c59805e8a6713c56841d2.tar.bz2
gentoo-cd1a5cb6ab0c1684078c59805e8a6713c56841d2.zip
media-plugins/live: bump to 2018.01.29
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'media-plugins')
-rw-r--r--media-plugins/live/Manifest1
-rw-r--r--media-plugins/live/live-2018.01.29.ebuild128
2 files changed, 129 insertions, 0 deletions
diff --git a/media-plugins/live/Manifest b/media-plugins/live/Manifest
index c83b652e2b4..58aec57ed77 100644
--- a/media-plugins/live/Manifest
+++ b/media-plugins/live/Manifest
@@ -4,3 +4,4 @@ DIST live.2017.06.04.tar.gz 629288 BLAKE2B df2e99ab348b92de1b3ac60b53e9f80a41a83
DIST live.2017.07.18.tar.gz 629395 BLAKE2B 79a7a31b65d6a116ab36f6f9c590df0957ce84810cb4ac6ae101ae6185bbe80cbbea68a45a0119cb2acb75f7f7647b4f4006449e82b5f02b597f3048bf322d58 SHA512 49e164203a73a94629e66fcf48fde5f937b2c4724a0d4026b1970a8118039ce5cec393b777dea7439c09d3b0789f9f9d7f6f8a5328c4a3dd78a95e05b6525586
DIST live.2017.09.12.tar.gz 629538 BLAKE2B 6f2b08d6b73a287663ec2c40faa7ff8b955aea7ca261d3eec69d85ea77f26ee951d14c3aedac48d84be0bdaafccc7a721d83974ce0fc8693aecc63984f377fbe SHA512 09b18b5f5dce28519b6c7cd8d52eb3448711939df051f84c8d6dce0b88d05c982711059f2ce13efccd326b2dbfeb93b88c4e03fe4a88bbd8fcefcb25e51d107d
DIST live.2017.10.28.tar.gz 629858 BLAKE2B a1d862ae1356b46fcd4e5ef7e27c47d3fb3abac35add6feb7955f60ddbd93e9242a84102393de67dda0d39c09632a0cc9a5f54d30c9f91d005696d3a566258bd SHA512 eea5bdb8d89e76c8b6aeb6ec04b77af3048cb41f228d230ba4da6045e9bc691a456023d44d8650fe690b08143567ed5af5b633f5b6522debff79344a813dc7d0
+DIST live.2018.01.29.tar.gz 630144 BLAKE2B dd58865636a44ccabd0e3b02e1679393f17fb09d82455188d49d4fcb321b21e136a168c0f4c407c1dba3afcb5b541192cd2c5181d7a7710d39d4727526fc39cf SHA512 dfdfcac67acd28f651807de423c6aed00190cfc38ecd361b76d37d8cc27ee2fa91a42a5b8835045680fd7f65c847e41747b948c2c71e6530a3c7e89421c60227
diff --git a/media-plugins/live/live-2018.01.29.ebuild b/media-plugins/live/live-2018.01.29.ebuild
new file mode 100644
index 00000000000..bc3998e3bd5
--- /dev/null
+++ b/media-plugins/live/live-2018.01.29.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit flag-o-matic eutils toolchain-funcs multilib multilib-minimal
+
+DESCRIPTION="Libraries for standards-based RTP/RTCP/RTSP multimedia streaming"
+HOMEPAGE="http://www.live555.com/"
+SRC_URI="http://www.live555.com/liveMedia/public/${P/-/.}.tar.gz
+ mirror://gentoo/${P/-/.}.tar.gz"
+
+LICENSE="LGPL-2.1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="examples static-libs"
+DOCS=( "live-shared/README" )
+
+# Alexis Ballier <aballier@gentoo.org>
+# Be careful, bump this everytime you bump the package and the ABI has changed.
+# If you don't know, ask someone.
+LIVE_ABI_VERSION=7
+SLOT="0/${LIVE_ABI_VERSION}"
+
+src_unpack() {
+ unpack ${A}
+ mkdir -p "${S}"
+ mv "${WORKDIR}/live" "${S}/" || die
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-recursive3.patch"
+
+ if use static-libs ; then
+ cp -pPR live live-shared
+ mv live live-static
+ else
+ mv live live-shared
+ fi
+
+ use static-libs && cp "${FILESDIR}/config.gentoo-r1" live-static/config.gentoo
+ cp "${FILESDIR}/config.gentoo-so-r2" live-shared/config.gentoo-so-r1
+
+ case ${CHOST} in
+ *-solaris*)
+ use static-libs && { sed -i \
+ -e '/^COMPILE_OPTS /s/$/ -DSOLARIS -DXLOCALE_NOT_USED/' \
+ -e '/^LIBS_FOR_CONSOLE_APPLICATION /s/$/ -lsocket -lnsl/' \
+ live-static/config.gentoo \
+ || die ; }
+ sed -i \
+ -e '/^COMPILE_OPTS /s/$/ -DSOLARIS -DXLOCALE_NOT_USED/' \
+ -e '/^LIBS_FOR_CONSOLE_APPLICATION /s/$/ -lsocket -lnsl/' \
+ live-shared/config.gentoo-so-r1 \
+ || die
+ ;;
+ *-darwin*)
+ use static-libs && { sed -i \
+ -e '/^COMPILE_OPTS /s/$/ -DBSD=1 -DHAVE_SOCKADDR_LEN=1/' \
+ -e '/^LINK /s/$/ /' \
+ -e '/^LIBRARY_LINK /s/$/ /' \
+ -e '/^LIBRARY_LINK_OPTS /s/-Bstatic//' \
+ live-static/config.gentoo \
+ || die static ; }
+ sed -i \
+ -e '/^COMPILE_OPTS /s/$/ -DBSD=1 -DHAVE_SOCKADDR_LEN=1/' \
+ -e '/^LINK /s/$/ /' \
+ -e '/^LIBRARY_LINK /s/=.*$/= $(CXX) -o /' \
+ -e '/^LIBRARY_LINK_OPTS /s:-shared.*$:-undefined suppress -flat_namespace -dynamiclib -install_name '"${EPREFIX}/usr/$(get_libdir)/"'$@:' \
+ -e '/^LIB_SUFFIX /s/so/dylib/' \
+ live-shared/config.gentoo-so-r1 \
+ || die shared
+ ;;
+ esac
+ multilib_copy_sources
+}
+
+src_configure() { :; }
+
+multilib_src_compile() {
+ tc-export CC CXX LD
+
+ if use static-libs ; then
+ cd "${BUILD_DIR}/live-static"
+
+ einfo "Beginning static library build"
+ ./genMakefiles gentoo
+ emake -j1 LINK_OPTS="-L. $(raw-ldflags)" || die "failed to build static libraries"
+ fi
+
+ cd "${BUILD_DIR}/live-shared"
+ einfo "Beginning shared library build"
+ ./genMakefiles gentoo-so-r1
+ local suffix=$(get_libname ${LIVE_ABI_VERSION})
+ emake -j1 LINK_OPTS="-L. ${LDFLAGS}" LIB_SUFFIX="${suffix#.}" || die "failed to build shared libraries"
+
+ for i in liveMedia groupsock UsageEnvironment BasicUsageEnvironment ; do
+ pushd "${BUILD_DIR}/live-shared/${i}" > /dev/null
+ ln -s lib${i}.${suffix#.} lib${i}$(get_libname) || die
+ popd > /dev/null
+ done
+
+ if multilib_is_native_abi; then
+ einfo "Beginning programs build"
+ for i in $(use examples && echo "testProgs") proxyServer mediaServer ; do
+ cd "${BUILD_DIR}/live-shared/${i}"
+ emake LINK_OPTS="-L. ${LDFLAGS}" || die "failed to build test programs"
+ done
+ fi
+}
+
+multilib_src_install() {
+ for library in UsageEnvironment liveMedia BasicUsageEnvironment groupsock; do
+ use static-libs && dolib.a live-static/${library}/lib${library}.a
+ dolib.so live-shared/${library}/lib${library}$(get_libname ${LIVE_ABI_VERSION})
+ dosym lib${library}$(get_libname ${LIVE_ABI_VERSION}) /usr/$(get_libdir)/lib${library}$(get_libname)
+
+ insinto /usr/include/${library}
+ doins live-shared/${library}/include/*h
+ done
+
+ if multilib_is_native_abi; then
+ # Should we really install these?
+ use examples && find live-shared/testProgs -type f -perm 755 -print0 | \
+ xargs -0 dobin
+
+ dobin live-shared/mediaServer/live555MediaServer
+ dobin live-shared/proxyServer/live555ProxyServer
+ fi
+}